Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002979Zandronum[All Projects] Suggestionpublic2017-01-12 07:282017-04-08 14:47
ReporterFused 
Assigned ToTorr Samaho 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionopen 
PlatformOSOS Version
Product Version3.0-beta 
Target Version3.0Fixed in Version3.0 
Summary0002979: Backport GetActorFloorTexture and GetActorFloorTerrain ACS functions
DescriptionDetails:https://zdoom.org/Changelog/85488f2/files [^]
Suggestion:https://forum.zdoom.org/viewtopic.php?f=18&t=53393 [^]

Been waiting for this for a while. Could this be backported?
Attached Files? file icon newfunctions.wad [^] (5,901 bytes) 2017-04-02 16:39

- Relationships

-  Notes
User avatar (0017079)
Torr Samaho (administrator)
2017-04-02 17:33

I backported GetActorFloorTexture. Zandronum 3.0 doesn't support the UDMF sector property 'floorterrain', so GetActorFloorTerrain can't be backported without adding this property first.
User avatar (0017083)
WaTaKiD (updater)
2017-04-02 21:23

at Fused's request, here is a build that contains the backported GetActorFloorTexture: https://www.dropbox.com/s/dcqs3vh5zdrsqkx/zandronum-3.0-r170402-2027-26a565b-windows.zip?dl=0 [^]
User avatar (0017086)
Fused (reporter)
2017-04-03 14:09
edited on: 2017-04-03 14:10

Thank you.
After adding the function to this script:https://pastebin.com/veuV9rLS [^] I can confirm that the function works like intended.

User avatar (0017107)
Torr Samaho (administrator)
2017-04-08 14:47

I'm happy to hear that! Thanks for checking.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2017-01-12 07:28 Fused New Issue
2017-04-02 16:39 Torr Samaho File Added: newfunctions.wad
2017-04-02 17:33 Torr Samaho Note Added: 0017079
2017-04-02 18:50 Torr Samaho Assigned To => Torr Samaho
2017-04-02 18:50 Torr Samaho Status new => needs testing
2017-04-02 21:23 WaTaKiD Note Added: 0017083
2017-04-03 14:09 Fused Note Added: 0017086
2017-04-03 14:09 Fused Note Edited: 0017086 View Revisions
2017-04-03 14:10 Fused Note Edited: 0017086 View Revisions
2017-04-08 14:47 Torr Samaho Note Added: 0017107
2017-04-08 14:47 Torr Samaho Status needs testing => resolved
2017-04-08 14:47 Torr Samaho Fixed in Version => 3.0
2017-04-08 14:47 Torr Samaho Target Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker